
Redmine - Feature #5228

Users are just numbers

2010-03-31 17:49 - Maarten Brock

Status: Closed Start date: 2010-03-31

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

I see that I can link to redmine users, but only with their user number. Would it also be possible to refer to users by their login? Or are

these non-unique?

Related issues:

Related to Redmine - Patch #6690: Redmine link to user profile Closed 2010-10-18

Related to Redmine - Feature #4179: Link to user in wiki syntax Closed 2009-11-08

Related to Redmine - Feature #3856: show userpage by 'login' rather than 'id'. New 2009-09-12

History

#1 - 2010-03-31 18:08 - Felix Schäfer

Logins could also be digits only, so while logins and user ids are unique on their own, their might be overlap when taken together.

#2 - 2010-04-01 11:13 - Maarten Brock

Felix,

Thanks for answering.

But that could be fixed by using a different prefix, right?

"Maarten Brock":http://www.redmine.org/users/13899

uses user ids.   

And this could point to the same user by login:

"Maarten Brock":http://www.redmine.org/logins/m.brock

#3 - 2013-04-09 23:41 - Filou Centrinov

Duplicated: #6690, #4179

#4 - 2013-04-10 12:35 - Daniel Felix

Filou Centrinov wrote:

Duplicated: #6690, #4179

 Not really. They relate each other but they weren't really duplicates. :-)

I set the relation.

#5 - 2014-05-24 10:49 - Andriy Lesyuk

I have implemented support for user logins in URLs for WikiNG.

#6 - 2017-06-08 09:07 - Marius BĂLTEANU

Link to user profile was committed in #4179. The following syntaxes are supported:

kurumi kurogi

kurumi kurogi
and a new proposal was made to support also user:1.

#7 - 2017-06-09 07:52 - Mischa The Evil

- Related to Feature #3856: show userpage by 'login' rather than 'id'. added

#8 - 2019-06-02 04:42 - Go MAEDA

- Category set to Text formatting

- Status changed from New to Closed

- Resolution set to Fixed

Marius BALTEANU wrote:

Link to user profile was committed in #4179. The following syntaxes are supported:

kurumi kurogi

kurumi kurogi

 #4179 delivered in Redmine 3.4.0 meets the request.
